org.apache.solr.client.solrj.response

## Class AnalysisResponseBase.TokenInfo

- java.lang.Object
- - org.apache.solr.client.solrj.response.AnalysisResponseBase.TokenInfo

- Enclosing class:
    AnalysisResponseBase

      public static class AnalysisResponseBase.TokenInfo
      extends Object

  Holds all information of a token as part of an analysis phase.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEnd()` Returns the end position of this token within the text it was originally extracted from.
    `int` | `getPosition()` Returns the position of this token within the produced token stream.
    `String` | `getRawText()` Returns the raw text of the token.
    `int` | `getStart()` Returns the start position of this token within the text it was originally extracted from.
    `String` | `getText()` Returns the text of the token.
    `String` | `getType()` Returns the type of the token.
    `boolean` | `isMatch()` Returns whether this token matches one of the query tokens (if query analysis is performed).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getText

          public String getText()

      Returns the text of the token.
      Returns:
        The text of the token.

    - #### getRawText

          public String getRawText()

      Returns the raw text of the token. If the token is index in a special format (e.g. date or paddded numbers) it will be returned as the raw text. Returns `null` if the token is indexed as is.
      Returns:
        Returns the raw text of the token.

    - #### getType

          public String getType()

      Returns the type of the token. Typically this will be `word` or `<ALPHANUM>`, but it really depends on the tokenizer and filters that are used.
      Returns:
        The type of the token.

    - #### getStart

          public int getStart()

      Returns the start position of this token within the text it was originally extracted from.
      Returns:
        The start position of this token within the text it was originally extracted from.

    - #### getEnd

          public int getEnd()

      Returns the end position of this token within the text it was originally extracted from.
      Returns:
        The end position of this token within the text it was originally extracted from.

    - #### getPosition

          public int getPosition()

      Returns the position of this token within the produced token stream.
      Returns:
        The position of this token within the produced token stream.

    - #### isMatch

          public boolean isMatch()

      Returns whether this token matches one of the query tokens (if query analysis is performed).
      Returns:
        Whether this token matches one of the query tokens (if query analysis is performed).

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.